Subject: Re: [PATCH] e1000: fix e1000e_disable_aspm_locked() warning

From: Dave Hansen <[email-masked]>
Date: Mon, 28 Sep 2015 08:57:18 -0700

On 08/31/2015 02:26 PM, Dave Hansen wrote:
> From: Dave Hansen <[email-masked]>
> 
> I have a .config with CONFIG_PM disabled.  I get the following whenever
> compiling the e1000 driver:
> 
> ...net/ethernet/intel/e1000e/netdev.c:6450:13: warning: 'e1000e_disable_aspm_locked' defined but not used [-Wunused-function]
>  static void e1000e_disable_aspm_locked(struct pci_dev *pdev, u16 state)
> 
> Looks like we just need to move e1000e_disable_aspm_locked() to
> be underneath the CONFIG_PM #ifdef.

This patch:

	[2758f9edb]: e1000e: Fix incorrect ASPM locking

established a new caller for e1000e_disable_aspm_locked() which makes my
patch useless and wrong (it breaks the compile).

I believe we should just revert my patch.